Blog de guebs

Avisos e incidencias

Cese de soporte para PHP 5.2 y Ruby on Rails 1

Aitor Ortuondo — 29 de mayo, 2015 @ 11:532 comentarios

4 Flares 4 Flares ×

Con este aviso queremos anunciar el cese de soporte para PHP 5.2 y Ruby On Rails 1 en todos nuestros servidores de hosting, revendedor y servidores Cloud Premium.

El mejor hosting PHP

Este anuncio no significa que tu sitio web dejará de funcionar si estas usando las mencionadas versiones de PHP o Rails, lo que implica es que los problemas de funcionamiento o seguridad que puedas tener a partir de ahora quedan fuera de nuestro soporte.

Mantener el soporte para software tan antiguo nos retrasa o imposibilita la introducción de ciertas mejoras en nuestros servicios. Por tanto, para seguir mejorando y prestando el mejor servicio a la mayoría de nuestros clientes, de vez en cuando nos vemos obligados a tomar decisiones de este tipo.

Además, este software tan antiguo ya no recibe correcciones de seguridad, por lo que su uso implica cierto riesgo para la seguridad de tu web.

Cese de soporte de PHP 5.2

PHP 5.2 fue lanzada hace más de 10 años y su recorrido de actualizaciones finalizó hace varios años.

Por motivos de seguridad, funcionalidad y rendimiento, actualmente se recomienda que toda web use PHP 5.4 o superior. Y, si es posible, se recomienda usar PHP 5.5 o 5.6, versiones que ofrecen mejor rendimiento y que ofrecemos desde hace tiempo.

Si quieres habilitar PHP 5.4, 5.5 o 5.6 en tu sitio web puedes acudir al panel de hosting y elegir la versión de PHP que quieras siguiendo las indicaciones de Modificar la configuración de PHP.

Cese de soporte de Rails 1

Rails 1, es una versión de Ruby on Rails que fue publicada hace aproximadamente 10 años y está totalmente en desuso.

Hoy en día se recomienda que toda web use Rails 4 con Ruby 2.1 o Ruby 2.2. Pero si aún quieres mantener tu vieja web, es recomendable que, por lo menos, la actualices a la última versión estable de Rails 2.3.

Aun así debes tener en cuenta que rails 2.3.x es también una versión obsoleta que en no mucho tiempo dejará de estar mantenida y soportada.

4 Flares Twitter 0 Facebook 0 Google+ 0 Buffer 4 LinkedIn 0 Email -- 4 Flares ×

Etiquetas:

Sobre el autor de este artículo

Aitor Ortuondo es fundador de guebs, donde se dedica a hacer un poco de todo: atender a los clientes, desarrollar nuevas funcionalidades, escribir en este blog, supervisar la infraestructura técnica, comprar el cafe, ...

De vez en cuando publica algo en Twitter y .

Comentarios de los usuarios

  1. r0uzic dice:

    ¿Hay alguna forma de actualizar la versión que se usa de Rails en una web?

  2. Hola

    Rails es una gema de Ruby, por lo que para cambiar de versión de Rails tendrás que instalar la gema de la nueva versión y en algunos casos definir la versión deseada en la configuración de la aplicación, en config/environment.rb

    Un saludo

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Categorías

Etiquetas

.EUS concurso correo cpd Dominios guebs hosting logo marte mi@guebs mysql Nuevos gTLD passenger PHP rails Revendedor ruby Ruby on Rails Servidor Cloud Servidor Cloud Premium sh1 sh2 SH3 sh4 sh5 sh6 sh7 sh9 spam WordPress

Histórico

Sindicar

Puedes sindicar el contenido de este blog en tu lector de noticias usando alguna de las siguientes formas:

Ya es hora de disfrutar de un hosting de calidad

contrata ahora
España México Colombia Peru Ecuador Chile Europa Reino Unido Euskera
© Ekostat Informatica, S.L. - Aviso Legal
css.php
4 Flares Twitter 0 Facebook 0 Google+ 0 Buffer 4 LinkedIn 0 Email -- 4 Flares ×